Package com.pixelmed.utils

## Class Syslog

- java.lang.Object
- - com.pixelmed.utils.Syslog

-     public class Syslog
      extends java.lang.Object

  A class to private remote logging via the BSD syslog service (UDP on port 514).

  To get a syslogd to listen to port 514 packets, one needs to start it with a specific option, e.g. "-r" on Linux or Solaris, or "-u" on MacOSX prior to Panther, or without the "-s" after Panther. On Linux one edits the options in "/etc/sysconfig/syslog" and does an "/etc/rc.d/init.d/syslog restart".

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALERT` |
    `static int` | `AUTH` |
    `static int` | `CRIT` |
    `static int` | `CRON` |
    `static int` | `DAEMON` |
    `static int` | `DEBUG` |
    `static int` | `EMERG` |
    `static int` | `ERR` |
    `static int` | `INFO` |
    `static int` | `KERN` |
    `static int` | `LOCAL0` |
    `static int` | `LOCAL1` |
    `static int` | `LOCAL2` |
    `static int` | `LOCAL3` |
    `static int` | `LOCAL4` |
    `static int` | `LOCAL5` |
    `static int` | `LOCAL6` |
    `static int` | `LOCAL7` |
    `static int` | `LPR` |
    `static int` | `MAIL` |
    `static int` | `NEWS` |
    `static int` | `NOTICE` |
    `static int` | `SYSLOG` |
    `static int` | `USER` |
    `static int` | `UUCP` |
    `static int` | `WARNING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Syslog​(java.lang.String host)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFacilityByName​(java.lang.String s)` |
    `int` | `getPriorityByName​(java.lang.String s)` |
    `static void` | `main​(java.lang.String[] arg)` | Testing.
    `void` | `send​(int facility, int priority, java.lang.String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KERN

          public static final int KERN

      See Also:
        Constant Field Values

    - #### USER

          public static final int USER

      See Also:
        Constant Field Values

    - #### MAIL

          public static final int MAIL

      See Also:
        Constant Field Values

    - #### DAEMON

          public static final int DAEMON

      See Also:
        Constant Field Values

    - #### AUTH

          public static final int AUTH

      See Also:
        Constant Field Values

    - #### SYSLOG

          public static final int SYSLOG

      See Also:
        Constant Field Values

    - #### LPR

          public static final int LPR

      See Also:
        Constant Field Values

    - #### NEWS

          public static final int NEWS

      See Also:
        Constant Field Values

    - #### UUCP

          public static final int UUCP

      See Also:
        Constant Field Values

    - #### CRON

          public static final int CRON

      See Also:
        Constant Field Values

    - #### LOCAL0

          public static final int LOCAL0

      See Also:
        Constant Field Values

    - #### LOCAL1

          public static final int LOCAL1

      See Also:
        Constant Field Values

    - #### LOCAL2

          public static final int LOCAL2

      See Also:
        Constant Field Values

    - #### LOCAL3

          public static final int LOCAL3

      See Also:
        Constant Field Values

    - #### LOCAL4

          public static final int LOCAL4

      See Also:
        Constant Field Values

    - #### LOCAL5

          public static final int LOCAL5

      See Also:
        Constant Field Values

    - #### LOCAL6

          public static final int LOCAL6

      See Also:
        Constant Field Values

    - #### LOCAL7

          public static final int LOCAL7

      See Also:
        Constant Field Values

    - #### EMERG

          public static final int EMERG

      See Also:
        Constant Field Values

    - #### ALERT

          public static final int ALERT

      See Also:
        Constant Field Values

    - #### CRIT

          public static final int CRIT

      See Also:
        Constant Field Values

    - #### ERR

          public static final int ERR

      See Also:
        Constant Field Values

    - #### WARNING

          public static final int WARNING

      See Also:
        Constant Field Values

    - #### NOTICE

          public static final int NOTICE

      See Also:
        Constant Field Values

    - #### INFO

          public static final int INFO

      See Also:
        Constant Field Values

    - #### DEBUG

          public static final int DEBUG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Syslog

          public Syslog​(java.lang.String host)
                 throws java.net.UnknownHostException,
                        java.net.SocketException

      Throws:
        `java.net.UnknownHostException`
        `java.net.SocketException`

  - ### Method Detail

    - #### getFacilityByName

          public int getFacilityByName​(java.lang.String s)

    - #### getPriorityByName

          public int getPriorityByName​(java.lang.String s)

    - #### send

          public final void send​(int facility,
                                 int priority,
                                 java.lang.String message)
                          throws java.io.IOException,
                                 java.net.UnknownHostException,
                                 java.net.SocketException

      Throws:
        `java.io.IOException`
        `java.net.UnknownHostException`
        `java.net.SocketException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Testing.

      Parameters:
        `arg` - ignored